/* ================================================================ *
 * Web Folders (Pty) Ltd - Content Management System                *
 * Main Stylesheet                                                  *
 * ---------------------------------------------------------------- *
 * Filename     main.css                                            *
 * Created      28/05/2018                                          *
 * Author       Reinhardt Zündorf                                   *
 * Owner        Web Folders (Pty) Ltd                               *
 * ---------------------------------------------------------------- */

/* ================================================================= *
 * Blown Away By Books                                               *
 * http://blownawaybybooks.co.za/                                    *
 * ----------------------------------------------------------------- */

/* ================================================================= *
 * Palette                                                           *
 * ----------------------------------------------------------------- *
 * #a67894      Triad   Dark Pink              166, 120, 148         *
 * #7894a6      Triad   Dark Blue              120, 148, 166         *
 * #94a678      Triad   Dark Green             148, 166, 120         *
 * ----------------------------------------------------------------- *
 * #ba97ac      Shade   Dark Pink              196, 166, 185         *
 * #9c6988      Shade   Dark Pink              156, 105, 136         *
 * #7e536d      Shade   Dark Pink              126,  83, 109         *
 * ----------------------------------------------------------------- *
 * #87b097      Shade   Light Cyan             135, 176, 151         *
 * #5d8e70      Shade   Dark Cyan               93, 142, 112         *
 * #537e64      Shade   Darker Cyan             83, 126, 100         * 
 * ----------------------------------------------------------------- *
 * #8a78a6      Tetra   Purple                 138, 120, 166         *
 * #a67894      Tetra   Dark Pink              166, 120, 148         *
 * #76a68a      Tetra   Dark Cyan              120, 166, 138         *
 * ----------------------------------------------------------------- *
 * #f7f8f9      Neut.   Light Grayish Blue                           *
 * #f9f9f9	Neut.   Very Light Gray                              *
 * #ededed      Neut.   Very Light Gray                              *
 * #c6c6c6	Neut.   Light Gray                                   *
 * #666666	Neut.   Dark Gray                                    *
 * #333333	Neut.   Very Dark Gray                               *
 * ----------------------------------------------------------------- */

/* ===================================================== *
 * Text Colour                                           *
 * ----------------------------------------------------- */
#text-primary   { color: rgb(103, 65,  114); }
#text-accent    { color: rgb(76,  114, 65);  }
#text-neutral-1 { color: rgb(255, 255, 255); }
#text-neutral-2 { color: rgb(236, 236, 236); }
#text-neutral-3 { color: rgb(210, 215, 211); }

/* ===================================================== *
 * Background Colour                                     *
 * ----------------------------------------------------- */
#bg-primary     { background-color: rgb(103, 65, 114);  }
#bg-accent      { background-color: rgb(76,  114, 65);  }
#bg-neutral-1   { background-color: rgb(255, 255, 255); }
#bg-neutral-2   { background-color: rgb(236, 236, 236); }
#bg-neutral-3   { background-color: rgb(210, 215, 211); }

@font-face 
{
    font-family:                      'Open Sans';
    src:                              URL('../fonts/Open_Sans/OpenSans-Regular.ttf') format('ttf');
}

/* ===================================================== *
 * Eric Meyer Reset                                      *
 * ----------------------------------------------------- *
 * http://meyerweb.com/eric/tools/css/reset/             *
 * v2.0 | 20110126                                       *
 * License: none (public domain)                         *
 * ----------------------------------------------------- */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video 
{
    margin:                         0;
    padding:                        0;
    border:                         0;
    font-size:                      100%;
    font-family:                    'Open Sans', sans-serif;
    vertical-align:                 baseline;
}

/* ===================================================== *
 * Background Colour                                     *
 * ----------------------------------------------------- */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section 
{
    display:                        block;
}

/* ===================================================== *
 * Body                                                  *
 * ----------------------------------------------------- */
body 
{
    background:                     radial-gradient(rgba(0, 0, 0, 0.30), rgba(0, 0, 0, 0.25), rgba(0, 0, 0, 0.35));
    line-height:                    1;
    font-size:                      12px;
}

ol, 
ul 
{
    list-style:                     none;
}

blockquote, 
q 
{
    quotes:                         none;
}

blockquote:before, 
blockquote:after,
q:before, 
q:after 
{
    content:                        '';
    content:                        none;
}

ptable 
{
    border-collapse:                collapse;
    border-spacing:                 0;
}

object   
{ 
    outline:                        none; 
    display:                        block; 
    overflow:                       hidden;
}

textarea 
{ 
    overflow:                       auto; 
}

iframe   
{ 
    border:                         0; 
}

/* ================================================= *
 * Main                                              *
 * ------------------------------------------------- */
main
{
    padding:                        0px;
    padding-top:                    20px;
    border:                         1px solid #ba97ac;
    border-top:                     0px;
    border-bottom:                  0px;
    box-shadow:                     0px 0px 12px rgba(0, 0, 0, 0.5);
}

main.main-content
{
    padding:                        0px;
}

.content-wrapper
{
    background-color:               #fff;
    /*padding:                    10px 20px 10px 20px;*/
}

#wrapper
{
    box-shadow:                     0px 2px 2px 4px rgba(0, 0, 0, 0.2);
}

.section-header
{
    background-color:           rgba(166, 120, 148, 0.3);
}

header.section-header h1
{
    color:                      #555555;
    font-size:                  18px;
    font-weight:                600;
    padding-bottom:             0px;
    margin-top:                 0px;
    margin-bottom:              15px;
}

header.section-header h2
{
    color:                      rgba(166, 120, 148, 1);
    font-size:                  16px;
    font-weight:                600;
    padding-bottom:             15px;
    margin-top:                 20px;
    margin-bottom:              20px;
}

section.content
{
    padding:                    5px 25px 25px 25px;
}

header.section-header hr
{
    border-color:               rgba(0, 0, 0, 0.3);
    border-width:               3px;
    width:                      30px;
}

section.content p
{
    font-size:                  14px;
    color:                      #333333;
    line-height:                1.5;
}

.contact-form
{
    padding:                    25px 35px 25px 35px;
}

/* ================================================= *
 * Breadcrumb Arrow                                  *
 * ------------------------------------------------- */
.breadcrumbs
{
    /*width:                      100%;*/
    text-align:                 left;
    padding-top:                 8px;
    padding-bottom:              8px;
    margin-bottom:                8px;
    /*border-bottom:              1px solid #ededed;*/
}

.breadcrumbs-wrapper
{
    width:                      100%;
    /*background:                 linear-gradient(#fff);*/ 
    box-shadow:                 0px 0px 1px 1px rgba(0, 0, 0, 0.1);
}
.breadcrumb-item
{
    color:                      #a67894;
    /*padding:                    8px;*/
}

.breadcrumb-item:hover
{
    text-decoration:            none;
    color:                      #666;
}


.btn-breadcrumb 
{
    background-color:           #f6f2f5;
    width:                      100%;
}

.btn-breadcrumb .btn 
{
    padding:                    8px 22px 8px 22px;
    color:                      rgba(0, 0, 0, 0.5);
    font-size:                  11px;
    font-weight:                500;
}
.btn-breadcrumb .btn:not(:last-child):after 
{
    content:                      " ";
    display:                      block;
    width:                        0;
    height:                       0;
    border-top:                   17px solid transparent;
    border-bottom:                17px solid transparent;
    border-left:                  10px solid rgba(255, 255, 255, 1);
    position:                     absolute;
    top:                          50%;
    margin-top:                   -17px;
    margin-left:                  0px;
    left:                         100%;
    z-index:                      3;
}

.btn-breadcrumb .btn:not(:last-child):before 
{
    content:                      " ";
    display:                      block;
    width:                        0;
    height:                       0;
    border-top:                   17px solid transparent;
    border-bottom:                17px solid transparent;
    border-left:                  10px solid rgba(0, 0, 0, 0.1);
    position:                     absolute;
    top:                          50%;
    margin-top:                   -17px;
    margin-left:                  0px;
    left:                         100%;
    z-index:                      3;
}

.btn-breadcrumb .btn:first-child 
{
    padding:                      8px 18px 8px 22px;
    /*margin-eight:                  10px;*/
}

.btn-breadcrumb .btn:last-child 
{
    padding:                      8px 16px 8px 22px;
    /*margin-left:                  10px;*/
}

/* ============================================================ *
 * Primary button                                               *
 * ------------------------------------------------------------ *
 * #c4a6b9          196, 166, 185           Grayish pink        *
 * ------------------------------------------------------------ */
.btn-breadcrumb .btn.btn-primary
{
    background-color:           #ceb5c5;
    border-color:               #ceb5c5;
    /*border-radius:              0;*/
    /*border-top-right-radius:    20%;*/
    border-radius:              5%;
    border-top-right-radius:    0%;
    border:                     1px solid #ceb5c5;
    z-index:                    3;
    /*border-left:                5px solid #c4a6b9;*/
    /*border-top:                 1px solid #c4a6b9;*/
    /*border-bottom:              1px solid #c4a6b9;*/
    /*border-top-right-radius:    ;
    border-right:               20px solid #c4a6b9 !important;*/
}

.btn-breadcrumb .btn.btn-primary:not(:last-child):after 
{
    border-left:                12px solid #ceb5c5;
}

.btn-breadcrumb .btn.btn-primary:not(:last-child):before 
{
    border-left:                12px solid #ceb5c5;
}

.btn-breadcrumb .btn.btn-primary:hover:not(:last-child):after 
{
    border-left:                12px solid #ceb5c5;
}

.btn-breadcrumb .btn.btn-primary:hover:not(:last-child):before 
{
    border-left:                12px solid #ceb5c5;
}

/* ============================================================ *
 * Default button                                               *
 * ------------------------------------------------------------ *
 * #e2d4dd          226, 210, 221       Light grayish pink      *
 * #ece3e9          236, 227, 233       Light grayish pink      *
 * ------------------------------------------------------------ */
.btn-breadcrumb .btn.btn-default
{
    background-color:           #e2d4dd;
    border-radius:              5%;
    border-top-right-radius:    0%;
    border:                     1px solid #e2d4dd;
    z-index:                    2;
}

.btn-breadcrumb .btn.btn-default:not(:last-child):after 
{
    border-left:                12px solid #e2d4dd;
}

.btn-breadcrumb .btn.btn-default:not(:last-child):before 
{
    border-left:                12px solid #e2d4dd;
}

.btn-breadcrumb .btn.btn-default:hover:not(:last-child):after 
{
    border-left:                12px solid #e2d4dd;
}

.btn-breadcrumb .btn.btn-default:hover:not(:last-child):before 
{
    border-left:                12px solid #e2d4dd;
}

/* ============================================================ *
 * Section button                                               *
 * ------------------------------------------------------------ *
 * #ece3e9          236, 227, 233       Light grayish pink      *
 * #f6f2f5          246, 242, 245       Light grayish pink      *
 * ------------------------------------------------------------ */
.btn-breadcrumb .btn.btn-section
{
    background-color:           #f6f2f5;
    border:                     4px solid #f6f2f5;
    border-color:               #f6f2f5;
    border-radius:              2%;
    border:                     1px solid #f6f2f5;
    color:                      #000;
    z-index:                    1;
}

.btn-breadcrumb .btn.btn-section:not(:last-child):after 
{
    /*border-left:                12px solid #f6f2f5;*/
    content:                    ">";
}

.btn-breadcrumb .btn.btn-section:not(:last-child):before 
{
    /*border-left:                12px solid #f6f2f5;*/
    content:                    ">";
}

.btn-breadcrumb .btn.btn-section:hover:not(:last-child):after 
{
    border-left:                12px solid #f6f2f5;
    content:                    ">";
}

.btn-breadcrumb .btn.btn-section:hover:not(:last-child):before 
{
    border-left:                12px solid #f6f2f5;
    content:                    ">";
}


@media (min-width: 992px) 
{
    .container 
    {
        /*margin-left: 56px;*/
        /*margin-right: 56px;*/
    }
}

/* ================================================= *
 * Main Content Sections (Article)                   *
 * ------------------------------------------------- */
article
{
    margin-top:             0px;
}

article.section
{
    padding:                35px 40px 40px 35px;
}

header.section-header
{
    background:             none !important;
}

article.section p
{
    font-size:              14px;
}


/* Small devices (landscape phones, 544px and up) */
@media (min-width: 544px) 
{  
    .container
    {
        /*width:100%;*/
    }
    
    .tile
    {
        display:            block;
    }
}

/* Medium devices (tablets, 768px and up) The navbar toggle appears at this breakpoint */
@media (min-width: 768px) 
{  
    .container
    {
        max-width:          1200px;
    }
    
    .main-content
    {
        margin-left:        10px;
        margin-right:       10px;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) 
{ 
    .container
    {
        max-width:          1200px;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) 
{  
    .container
    {
        max-width:              1200px;
    }
}
